## between 6%2Bdfsg1

=== debian/changelog ===
between (6+dfsg1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:34:38 +0100

between (6+dfsg1-3) unstable; urgency=low

  * Bump the debhelper compat to 9 and enable extra hardening
  * wrap-and-sort -sa to make diffs more readable
  * Bump Standards-Version, no changes needed
  * Fix the VCS URLs to work and be canonical

 -- Paul Wise <pabs@debian.org>  Fri, 10 May 2013 21:02:05 +0800

between (6+dfsg1-2) unstable; urgency=low

  * Document GPL code in the copyright file (Closes: #614052)

 -- Paul Wise <pabs@debian.org>  Mon, 21 Feb 2011 11:30:11 +0800

between (6+dfsg1-1) unstable; urgency=low

  * Initial release (Closes: #524846)

 -- Paul Wise <pabs@debian.org>  Mon, 20 Dec 2010 18:50:15 +0800

## between 6+dfsg1

=== minorGems/util/log/Makefile ===
#
# Modification History
#
# 2002-February-25   Jason Rohrer
# Created.
# Changed to be more succinct.
#


GXX=g++ 

ROOT_PATH = ../../..

DEBUG_ON_FLAG = -g
DEBUG_OFF_FLAG = 

DEBUG_FLAG = ${DEBUG_OFF_FLAG}

TIME_PLATFORM_PATH = unix
TIME_PLATFORM = Unix



TIME_O = ${ROOT_PATH}/minorGems/system/${TIME_PLATFORM_PATH}/Time${TIME_PLATFORM}.o
TIME_H = ${ROOT_PATH}/minorGems/system/Time.h
TIME_CPP = ${ROOT_PATH}/minorGems/system/${TIME_PLATFORM_PATH}/Time${TIME_PLATFORM}.cpp




testLog: AppLog.o FileLog.o PrintLog.o Log.o testLog.o ${TIME_O}
	${GXX} ${DEBUG_FLAG} -o testLog AppLog.o FileLog.o PrintLog.o Log.o testLog.o ${TIME_O}



clean:
	rm -f *.o ${TIME_O}


testLog.o: testLog.cpp AppLog.h FileLog.h Log.h
	${GXX} ${DEBUG_FLAG} -o testLog.o -c testLog.cpp

AppLog.o: AppLog.h AppLog.cpp Log.h PrintLog.h
	${GXX} ${DEBUG_FLAG} -o AppLog.o -c AppLog.cpp

PrintLog.o: PrintLog.h PrintLog.cpp Log.h PrintLog.h ${TIME_H}
	${GXX} ${DEBUG_FLAG} -I${ROOT_PATH} -o PrintLog.o -c PrintLog.cpp

FileLog.o: PrintLog.h FileLog.cpp FileLog.h Log.h 
	${GXX} ${DEBUG_FLAG} -o FileLog.o -c FileLog.cpp

Log.o: Log.h Log.cpp
	${GXX} ${DEBUG_FLAG} -o Log.o -c Log.cpp

${TIME_O}: ${TIME_H} ${TIME_CPP}
	${GXX} ${DEBUG_FLAG} -I${ROOT_PATH} -o ${TIME_O} -c ${TIME_CPP}

=== debian/changelog ===
between (6+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Refresh packaging:
    + Use Priority: optional.
    + Bump Standards-Version to 4.6.1.
  * debian/control:
    + Use up-to-date homepage. (Closes: #943589)
    + debian/control: Fix Vcs-* fields.
    + No longer use transitional dummy packages.
    + Bump debhelper compat to v13.
  * debian/between.menu: Dropped per tech-ctte decision.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #911249)
    + Let dh_auto_build pass cross tools to make.
    + Pass the C++ compiler as GXX.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Nov 2022 13:38:57 -0500

=== debian/control ===
Source: between
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libgl-dev,
 libglu1-mesa-dev,
 libsdl1.2-dev
Standards-Version: 4.6.1
Homepage: https://www.esquire.com/news-politics/a5329/rohrer-game/
Vcs-Git: https://salsa.debian.org/games-team/between.git
Vcs-Browser: https://salsa.debian.org/games-team/between

Package: between
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: game about consciousness and isolation
 Between is a pixelated art game for two players by Jason Rohrer.
 .
 You know exactly what you need to do -- you can see it shimmering
 right there in front of you. You can see it while dreaming, too, and
 the difference has become subtle. Dreams wake into dreams, and people
 blend in and out: real characters and dream characters, all woven into
 the same script. Finally, they fade completely, and you're alone in the
 expanse with the construction. With time, you feel something growing,
 a pinhole that eventually yawns into a deep ravine of longing. The
 construction languishes, though the expanse seems indifferent.
 .
 One night, in a dream, they appear: things that you clearly could not
 have conjured on your own. Not snowflakes. Not the self-similar forms
 of leaves. Not distant planets' erosion networks as viewed through
 telescopes. Not those things that are beautifully external but lack
 the signatures of consciousness. These things that appear are ugly and
 non-procedural: indecipherable transmissions bubbling up through static,
 faded messages floating in bottles, and charcoal handprints on cave
 walls. Evidence has reached you through time of unknown duration and
 distance of unknown magnitude, but stale evidence is still evidence.
 .
 Somewhere, across whatever barriers stand between, is an "other".

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	chmod u+x game7/configure
	cd game7 && platformSelection=1 ./configure

override_dh_auto_build:
	convert -type Grayscale -negate ./game7/build/macOSX/iconMask.png mask.png
	composite -compose CopyOpacity mask.png ./game7/build/macOSX/iconColor.png between.png
	mkdir -p 32x32
	convert -scale 32x32 between.png 32x32/between.png
	convert 32x32/between.png 32x32/between.xpm
	sed -i -e 's/-lX11//' game7/gameSource/Makefile
	sed -i -e 's/^DEBUG_FLAG = .*/DEBUG_FLAG = /' game7/gameSource/Makefile
	sed -i -e 's/^OPTIMIZE_FLAG = .*/OPTIMIZE_FLAG = /' game7/gameSource/Makefile
	sed -i -e 's/^COMPILE_FLAGS = /COMPILE_FLAGS = $$(CFLAGS) $$(CPPFLAGS) /' game7/gameSource/Makefile
	sed -i -e 's/^LINK_FLAGS = /LINK_FLAGS = $$(LDFLAGS) /' game7/gameSource/Makefile
	dh_auto_build --sourcedirectory=game7/gameSource -- 'GXX=$$(CXX)' LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -DETCDIR=\\\"/etc/between\\\" -DDATADIR=\\\"/usr/share/games/between/\\\""

override_dh_auto_clean:
	[ ! -f game7/gameSource/Makefile ] || $(MAKE) -C game7/gameSource clean
	rm -f game7/gameSource/Makefile
	rm -f game7/gameSource/Makefile.minorGems_dependencies
	rm -rf 32x32 between.png mask.png

override_dh_installchangelogs:
	dh_installchangelogs game7/documentation/changeLog.txt

V=6
P=Between
p=between
sfp=hcsoftware/Between

get-orig-source:
	wget -c http://downloads.sourceforge.net/project/$(sfp)/v$(V)/$(P)_v$(V)_UnixSource.tar.gz
	tar zxf $(P)_v$(V)_UnixSource.tar.gz
	# Embedded code copies, unused
	rm $(P)_v$(V)_UnixSource/minorGems/network/linux/gnut_*
	# VCS file
	rm $(P)_v$(V)_UnixSource/minorGems/.hgtags
	# Pre-built Windows libraries, unused
	rm $(P)_v$(V)_UnixSource/game7/build/win32/*.dll
	# non-free, unused
	rm -r $(P)_v$(V)_UnixSource/minorGems/util/development/fortify
	rm $(P)_v$(V)_UnixSource/minorGems/graphics/openGL/tga.*
	rm $(P)_v$(V)_UnixSource/minorGems/graphics/openGL/texture.*
	mv $(P)_v$(V)_UnixSource $(p)-$(V)+dfsg1.orig
	tar zcf ../$(p)_$(V)+dfsg1.orig.tar.gz $(p)-$(V)+dfsg1.orig
	rm -rf $(P)_v$(V)_UnixSource.tar.gz $(p)-$(V)+dfsg1.orig

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*// http://sf.net/hcsoftware/Between_v(.*)_UnixSource\.tar\.gz
